# poptOption Struct Reference
[POPT.]

`#include <popt.h>`

## Data Fields
const char * | longName
char | shortName
int | argInfo
void * | arg
int | val
const char * | descrip
const char * | argDescrip

## Detailed Description

Definition at line 114 of file popt.h.

## Field Documentation

void* poptOption::arg

depends on argInfo

Definition at line 118 of file popt.h.

const char* poptOption::argDescrip

argument description for autohelp

Definition at line 121 of file popt.h.

int poptOption::argInfo

Definition at line 117 of file popt.h.

const char* poptOption::descrip

description for autohelp -- may be NULL

Definition at line 120 of file popt.h.

const char* poptOption::longName

may be NULL

Definition at line 115 of file popt.h.

char poptOption::shortName

may be ''

Definition at line 116 of file popt.h.

int poptOption::val

0 means don't return, just update flag

Definition at line 119 of file popt.h.

The documentation for this struct was generated from the following file:

- popt/popt.h